Skip to main content
GET
/
public
/
v1
/
docs
/
{docId}
Get Document
curl --request GET \
  --url https://api.copera.ai/public/v1/docs/{docId} \
  --header 'Authorization: Bearer <token>'
{
  "_id": "<string>",
  "title": "<string>",
  "owner": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "icon": {
    "type": "<string>",
    "value": "<string>"
  },
  "cover": {
    "type": "<string>",
    "value": "<string>"
  },
  "starred": true,
  "parent": "<string>"
}

Overview

This endpoint retrieves the details of a specific document by its ID. The authenticated user must own the document or be a participant.

Response

Returns a document object containing:
  • Document ID
  • Title, icon, and cover
  • Parent reference (if nested)
  • Creation and update timestamps

Authorizations

Authorization
string
header
required

Bearer token

Path Parameters

docId
string
required

ObjectId

Required string length: 24
Pattern: ^[0-9a-fA-F]{24}$

Response

Default Response

_id
string
required
title
string
required
owner
string
required
createdAt
string
required
updatedAt
string
required
icon
object
cover
object
starred
boolean
parent
string